Bug 623553 - reinstall gets confused when run twice on one package
Summary: reinstall gets confused when run twice on one package
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: yum   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: James Antill
QA Contact: Karel Srot
URL:
Whiteboard:
Keywords:
Depends On: 622913
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-12 06:20 UTC by Miroslav Vadkerti
Modified: 2014-01-21 23:16 UTC (History)
7 users (show)

Fixed In Version: yum-3.2.29-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: yum reinstall code didn't look at what was already happening in the transaction Consequence: yum would get into a confused state if you tried to reinstall a package twice Fix: Look at transaction state, and act appropriately Result: second reinstall action is a noop.
Story Points: ---
Clone Of: 622913
Environment:
Last Closed: 2011-05-19 13:33:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0602 normal SHIPPED_LIVE yum bug fix and enhancement update 2011-05-19 09:37:29 UTC

Comment 6 James Antill 2011-05-12 19:13:02 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: yum reinstall code didn't look at what was already happening in the transaction
Consequence: yum would get into a confused state if you tried to reinstall a package twice
Fix: Look at transaction state, and act appropriately
Result: second reinstall action is a noop.

Comment 7 errata-xmlrpc 2011-05-19 13:33:37 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0602.html


Note You need to log in before you can comment on or make changes to this bug.